// File autogenerated

// declaration include
#include "tiemu_stub.h"

// Qt includes
#include <qstring.h>
#include <qstringlist.h>

// Qt D-Bus includes
#include <dbus/qdbusdatalist.h>
#include <dbus/qdbuserror.h>
#include <dbus/qdbusmessage.h>
#include <dbus/qdbusproxy.h>


namespace org
{
namespace ticalc
{
namespace lpg
{
namespace tiemu
{

TiEmuDBus::TiEmuDBus(const QString& service, const QString& path, QObject* parent, const char* name)
    : QObject(parent, name),
      m_baseProxy(new QDBusProxy())
{
    m_baseProxy->setInterface("org.ticalc.lpg.tiemu.TiEmuDBus");
    m_baseProxy->setPath(path);
    m_baseProxy->setService(service);

}

TiEmuDBus::~TiEmuDBus()
{
    delete m_baseProxy;
}

void TiEmuDBus::setConnection(const QDBusConnection& connection)
{
    m_baseProxy->setConnection(connection);
}

bool TiEmuDBus::image_loaded(bool& arg0, QDBusError& error)
{
    QValueList<QDBusData> parameters;


    QDBusMessage reply = m_baseProxy->sendWithReply("image_loaded", parameters, &error);

    if (reply.type() != QDBusMessage::ReplyMessage) return false;

    if (reply.count() != 1) return false;

    bool ok = false;

    arg0 = reply.front().toBool(&ok);
    if (!ok) return false;

    return true;
}

bool TiEmuDBus::emulated_calc_type(Q_INT32& arg0, QDBusError& error)
{
    QValueList<QDBusData> parameters;


    QDBusMessage reply = m_baseProxy->sendWithReply("emulated_calc_type", parameters, &error);

    if (reply.type() != QDBusMessage::ReplyMessage) return false;

    if (reply.count() != 1) return false;

    bool ok = false;

    arg0 = reply.front().toInt32(&ok);
    if (!ok) return false;

    return true;
}

bool TiEmuDBus::emulated_hw_version(Q_INT32& arg0, QDBusError& error)
{
    QValueList<QDBusData> parameters;


    QDBusMessage reply = m_baseProxy->sendWithReply("emulated_hw_version", parameters, &error);

    if (reply.type() != QDBusMessage::ReplyMessage) return false;

    if (reply.count() != 1) return false;

    bool ok = false;

    arg0 = reply.front().toInt32(&ok);
    if (!ok) return false;

    return true;
}

bool TiEmuDBus::emulated_os_version(QString& arg0, QDBusError& error)
{
    QValueList<QDBusData> parameters;


    QDBusMessage reply = m_baseProxy->sendWithReply("emulated_os_version", parameters, &error);

    if (reply.type() != QDBusMessage::ReplyMessage) return false;

    if (reply.count() != 1) return false;

    bool ok = false;

    arg0 = reply.front().toString(&ok);
    if (!ok) return false;

    return true;
}

bool TiEmuDBus::ready_for_transfers(bool& arg0, QDBusError& error)
{
    QValueList<QDBusData> parameters;


    QDBusMessage reply = m_baseProxy->sendWithReply("ready_for_transfers", parameters, &error);

    if (reply.type() != QDBusMessage::ReplyMessage) return false;

    if (reply.count() != 1) return false;

    bool ok = false;

    arg0 = reply.front().toBool(&ok);
    if (!ok) return false;

    return true;
}

bool TiEmuDBus::send_file(bool& arg0, const QString& arg1, QDBusError& error)
{
    QValueList<QDBusData> parameters;

    parameters << QDBusData::fromString(arg1);

    QDBusMessage reply = m_baseProxy->sendWithReply("send_file", parameters, &error);

    if (reply.type() != QDBusMessage::ReplyMessage) return false;

    if (reply.count() != 1) return false;

    bool ok = false;

    arg0 = reply.front().toBool(&ok);
    if (!ok) return false;

    return true;
}

bool TiEmuDBus::send_files(bool& arg0, const QStringList& arg1, QDBusError& error)
{
    QValueList<QDBusData> parameters;

    parameters << QDBusData::fromList((arg1));

    QDBusMessage reply = m_baseProxy->sendWithReply("send_files", parameters, &error);

    if (reply.type() != QDBusMessage::ReplyMessage) return false;

    if (reply.count() != 1) return false;

    bool ok = false;

    arg0 = reply.front().toBool(&ok);
    if (!ok) return false;

    return true;
}

bool TiEmuDBus::debug_file(bool& arg0, const QString& arg1, QDBusError& error)
{
    QValueList<QDBusData> parameters;

    parameters << QDBusData::fromString(arg1);

    QDBusMessage reply = m_baseProxy->sendWithReply("debug_file", parameters, &error);

    if (reply.type() != QDBusMessage::ReplyMessage) return false;

    if (reply.count() != 1) return false;

    bool ok = false;

    arg0 = reply.front().toBool(&ok);
    if (!ok) return false;

    return true;
}

bool TiEmuDBus::reset_calc(bool& arg0, bool arg1, QDBusError& error)
{
    QValueList<QDBusData> parameters;

    parameters << QDBusData::fromBool(arg1);

    QDBusMessage reply = m_baseProxy->sendWithReply("reset_calc", parameters, &error);

    if (reply.type() != QDBusMessage::ReplyMessage) return false;

    if (reply.count() != 1) return false;

    bool ok = false;

    arg0 = reply.front().toBool(&ok);
    if (!ok) return false;

    return true;
}

bool TiEmuDBus::execute_command(bool& arg0, const QString& command, QDBusError& error)
{
    QValueList<QDBusData> parameters;

    parameters << QDBusData::fromString(command);

    QDBusMessage reply = m_baseProxy->sendWithReply("execute_command", parameters, &error);

    if (reply.type() != QDBusMessage::ReplyMessage) return false;

    if (reply.count() != 1) return false;

    bool ok = false;

    arg0 = reply.front().toBool(&ok);
    if (!ok) return false;

    return true;
}

bool TiEmuDBus::turn_calc_on(bool& arg0, QDBusError& error)
{
    QValueList<QDBusData> parameters;


    QDBusMessage reply = m_baseProxy->sendWithReply("turn_calc_on", parameters, &error);

    if (reply.type() != QDBusMessage::ReplyMessage) return false;

    if (reply.count() != 1) return false;

    bool ok = false;

    arg0 = reply.front().toBool(&ok);
    if (!ok) return false;

    return true;
}

bool TiEmuDBus::enter_debugger(bool& arg0, QDBusError& error)
{
    QValueList<QDBusData> parameters;


    QDBusMessage reply = m_baseProxy->sendWithReply("enter_debugger", parameters, &error);

    if (reply.type() != QDBusMessage::ReplyMessage) return false;

    if (reply.count() != 1) return false;

    bool ok = false;

    arg0 = reply.front().toBool(&ok);
    if (!ok) return false;

    return true;
}

}; // namespace tiemu

}; // namespace lpg

}; // namespace ticalc

}; // namespace org

// End of File

